POST api/PhysicalTherapy/SaveGoals
Request Information
URI Parameters
None.
Body Parameters
GoalsDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| ClinicalPathwayId | integer |
None. |
|
| Goal | string |
String length: inclusive between 0 and 1000 |
|
| Status | integer |
None. |
|
| StatusName | string |
String length: inclusive between 0 and 8000 |
|
| isEdit | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"ClinicalPathwayId": 3,
"Goal": "sample string 4",
"Status": 1,
"StatusName": "sample string 5",
"isEdit": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T02:37:35.4101596-07:00",
"DateUpdated": "2026-08-04T02:37:35.4101596-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfGoalsDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | GoalsDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"ClinicalPathwayId": 3,
"Goal": "sample string 4",
"Status": 1,
"StatusName": "sample string 5",
"isEdit": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T02:37:35.4101596-07:00",
"DateUpdated": "2026-08-04T02:37:35.4101596-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11
},
"totalCount": 3
}